/***************************************************************************
                          preferences.h  -  description
                             -------------------
    begin                : Tue Nov 27 2001
    copyright            : (C) 2001, 2002 by Thomas Friedrichsmeier
    email                : Thomas.Friedrichsmeier@ruhr-uni-bochum.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <qdialog.h>

#include "tpbase.h"

class QSlider;
class QLCDNumber;
class QCheckBox;
class QPushButton;

/** Preferences Dialog
  *@author Thomas Friedrichsmeier
  */

class Preferences : public QDialog, public TPBase  {
	Q_OBJECT
public:
	Preferences();
	~Preferences();
private slots: // Private slots
/** Cancel-Button pressed. Exit */
	void cancel();
/** Ok-Button pressed. Save changes */
	void ok();
/** base_rate-slider changed. Update displays. */
	void base_rate_change(int new_val);
/** fps-slider got changed. Update displays */
	void fps_change(int new_val);
private:
    QPushButton* ok_button;
    QPushButton* cancel_button;
    QSlider* fps;
    QSlider* base_rate;
    QLCDNumber* fpsLCD;
    QLCDNumber* base_rateLCD;
    QCheckBox* animate_messages;
    QCheckBox* smooth_scroll;
    QCheckBox* use_sound;
};

#endif
