/***************************************************************************
                          soundhandle.h  -  description
                             -------------------
    begin                : Mon Aug 5 2002
    copyright            : (C) 2002 by Thomas Friedrichsmeier
    email                : tfry@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SOUNDHANDLE_H
#define SOUNDHANDLE_H

#include <tpbase.h>

/**Used by those classes that can produce sounds, to store all the information they need to know about those sounds.
  *@author Thomas Friedrichsmeier
  */

class QDomElement;

class SoundHandle : public TPBase  {
public: 
	SoundHandle();
	~SoundHandle();

/** Id(s) of the sound(s). In general, if a sound uses two different id's, one is played when the animation is played
	forward and the other when it is played backward (i.e. for teleporting appearing / disappearing) */
	int id[2];
/** Sound properties. See enum TPBase::SoundProperties */
	int properties;

/** Reads the information for this sound from the XML-file. See enum TPBase::SoundConfigOptions for options-parameters.
	Level specifies debug-level if no sound-tag is found. For bad options etc. debug-level Warn will be used */
	void create (QDomElement const & parent, const int options, DebugLevel level);
};

#endif
